/** \addtogroup misc Miscellaneous files
 * @{
 */
/** \file utils.h	Utility routines.
 * \author Lionel ULMER
 * \author Darryl Luff	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 2003 Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __UTILS_H
#define __UTILS_H

/** Writes spaces to the file. Used to generate constant field widths.	*/
void add_space(FILE * f, const int exists, const int todo);
/** Get the shortened filename (without the path).	*/
char *get_short_filename(char *fn);

/*@}*/
#endif
