/** \file callbacks.h	Callbacks for Glade-generated interface.
 * \ingroup gui
 * \author Darryl Luff	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 2002-2003 Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>


void on_mainWindow_destroy(GtkObject * object, gpointer user_data);

void on_fileWorkspaceLoad_activate(GtkMenuItem * menuitem,
								   gpointer user_data);

void on_fileWorkspaceSave_activate(GtkMenuItem * menuitem,
								   gpointer user_data);

void on_fileWorkspaceSaveAs_activate(GtkMenuItem * menuitem,
									 gpointer user_data);

void on_fileQueryLoad_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_fileQueryImport_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_fileQuerySave_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_fileQuerySaveAs_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_fileResultExport_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_fileQuit_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_databaseConnect_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_databaseDisconnect_activate
	(GtkMenuItem * menuitem, gpointer user_data);

void on_querySend_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_queryNew_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_queryClose_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_tableRefresh_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_configOptions_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_helpAbout_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_queryLoad_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_queryImport_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_querySave_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_querySaveAs_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_resultExport_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_querySend_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_workspaceLoad_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_workspaceSave_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_workspaceSaveAs_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_databaseConnect_activate(GtkMenuItem * menuitem, gpointer user_data);

void
on_databaseDisconnect_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_queryNew_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_queryClose_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_tableRefresh_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_configOptions_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_helpAbout_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_fileQuit_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_queryClear_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_querySaveDlgOkBtn_clicked(GtkButton * button, gpointer user_data);

void on_querySaveDlgOkBtn_clicked(GtkButton * button, gpointer user_data);

void on_queryImportDlgOkBtn_clicked(GtkButton * button, gpointer user_data);

void
on_queryImportDlgCancelBtn_clicked(GtkButton * button, gpointer user_data);

void on_aboutOKBtn_clicked(GtkButton * button, gpointer user_data);

void on_configCancelBtn_clicked(GtkButton * button, gpointer user_data);

void on_configOKBtn_clicked(GtkButton * button, gpointer user_data);

void
on_mainmenu_fileScriptRun_activate(GtkMenuItem * menuitem,
								   gpointer user_data);

void on_scriptOpenDlgOKBtn_clicked(GtkButton * button, gpointer user_data);

void
on_scriptOpenDlgCancelBtn_clicked(GtkButton * button, gpointer user_data);

void on_scriptSaveDlgOKBtn_clicked(GtkButton * button, gpointer user_data);

void
on_scriptSaveDlgCancelBtn_clicked(GtkButton * button, gpointer user_data);

void on_scriptSaveAs_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_fileScriptRun_activate(GtkMenuItem * menuitem, gpointer user_data);

void on_scriptLoadDlgOKBtn_clicked(GtkButton * button, gpointer user_data);

void
on_scriptLoadDlgCancelBtn_clicked(GtkButton * button, gpointer user_data);

void on_fileScriptLoad_activate(GtkMenuItem * menuitem, gpointer user_data);
